Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
h5tbread_field_index_f Interface Reference

## Public Member Functions
subroutine | h5tbread_field_index_f (loc_id, dset_name, field_index, start, nrecords, type_size, buf, errcode)
| Reads field. The fields are identified by index.
subroutine | h5tbread_field_index_kind_10_rank_1 (loc_id, dset_name, field_index, start, nrecords, type_size, buf, errcode)
subroutine | h5tbread_field_index_kind_16_rank_1 (loc_id, dset_name, field_index, start, nrecords, type_size, buf, errcode)
subroutine | h5tbread_field_index_kind_4_rank_1 (loc_id, dset_name, field_index, start, nrecords, type_size, buf, errcode)
subroutine | h5tbread_field_index_kind_8_rank_1 (loc_id, dset_name, field_index, start, nrecords, type_size, buf, errcode)

## Constructor & Destructor Documentation

## ◆ h5tbread_field_index_f()

subroutine h5tbread_field_index_f | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | field_index,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | type(type), dimension(*), intent(inout) | buf,
|  | integer | errcode )

Reads field. The fields are identified by index.

Parameters

  loc_id | Location identifier. The identifier may be that of a file or group.
  dset_name | The name of the dataset to read.
  field_index | The indexes of the fields to read.
  start | The start record to read from.
  nrecords | The number of records to read.
  type_size | The size in bytes of the structure associated with the table. Obtained with sizeof or storage_size.
  buf | Buffer with data.
  errcode | Returns 0 if successful and -1 if it fails.

See similar C API: H5TBread_fields_index()

## Member Function/Subroutine Documentation

## ◆ h5tbread_field_index_kind_10_rank_1()

subroutine h5tbread_field_index_kind_10_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | field_index,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=10), dimension(*), intent(inout), target | buf,
|  | integer | errcode )

## ◆ h5tbread_field_index_kind_16_rank_1()

subroutine h5tbread_field_index_kind_16_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | field_index,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=16), dimension(*), intent(inout), target | buf,
|  | integer | errcode )

## ◆ h5tbread_field_index_kind_4_rank_1()

subroutine h5tbread_field_index_kind_4_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | field_index,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=4), dimension(*), intent(inout), target | buf,
|  | integer | errcode )

## ◆ h5tbread_field_index_kind_8_rank_1()

subroutine h5tbread_field_index_kind_8_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | field_index,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=8), dimension(*), intent(inout), target | buf,
|  | integer | errcode )

The documentation for this interface was generated from the following files:

- config/toolchain/fortpregen/gfortran/H5TBff_gen.F90
- hl/fortran/src/H5TBff.F90